<?xml version="1.0" encoding="UTF-8"?><?xar XSLT?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name = "target" select = "'unknown'"/>
	<xsl:template match = "hello">
		<xsl:message><xsl:value-of select = "$target"/>: <xsl:value-of select = "system-property('xsl:vendor')"/></xsl:message>
		<html>
			<head>
				<title>Hello World: <xsl:value-of select = "$target"/></title>
			</head>
			<body>
				<h1>Hello World</h1>
				<dl>
					<dt><b>xsl:vendor</b></dt>
					<dd><xsl:value-of select = "system-property('xsl:vendor')"/></dd>
					<dt><b>xsl:vendor-url</b></dt>
					<xsl:variable name = "vendorUrl" select = "system-property('xsl:vendor-url')"/>
					<dd><a href="{$vendorUrl}"><xsl:value-of select = "$vendorUrl"/></a></dd>
					<dt><b>xsl:version</b></dt>
					<dd><xsl:value-of select = "system-property('xsl:version')"/></dd>
				</dl>
			</body>
		</html>
	</xsl:template>
</xsl:transform>